Subject: Re: man? - solved
From: [email-masked] (David Shochat)

8 Feb 1997 01:09:41 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <Pine.OSF.3.91.970207031144.22852D-100000@oracle>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Sender: David Shochat <[email-masked]>
X-Mailer: Mozilla 4.0b1 (Win95; I)
Original-To: gnu-win32 <[email-masked]>
X-Priority: Normal
Original-Sender: [email-masked]

Who cares... wrote:
> 
[snip]
> >
> tried that and it didn't work, here is my script...
> 
> export GROFF_FONT_PATH=/gnu-extras/share/groff/font
> export GROFF_TMAC_PATH=/gnu-extras/share/groff/tmac
> ROOTDIR=/cygnus
> MANDIR=/cygnus/man/man1
> cd $ROOTDIR
> troff -man -Tascii $MANDIR/$1.1 | grotty 2>nul:
> 
> and here is my mount info:
> 
> Device Directory Type Flags
> d:\cygnus\H-i386-cygwin32\usr /usr
> c:\temp /tmp
> d:\cygnus\H-i386-cygwin32 /gnu-extras
> d:\cygnus\etc /etc
> \\.\tape1:  /dev/st1
> \\.\tape0:  /dev/st0
> \\.\b:  /dev/fd1
> \\.\a:  /dev/fd0
> d:\cygnus /cygnus
> d:\cygnus\H-i386-cygwin32\bin /bin
> c:               /
> 
> bash$ man bash
> troff: can't find `DESC' file
> troff: fatal error: sorry, I can't continue
> 
Hi Who.
I think I know what your problem is. First, if you are using the same 
groff distribution I am (from virtunix), it is not built on top of the 
cygnus environment. As a result, it understands neither the cygnus

//d/dir/file

form of pathnames including drives nor (more importantly) paths defined 
partially by "mount". For example, I did this:

mount C:/crypto/pgp/doc /pgpdoc

From bash, I could cat /pgpdoc/BLURB.TXT fine. But when I tried feeding 
that same pathname into troff, it couldn't find the file.

I have the groff tools installed where the README.NT file says to put 
them. This means that the tmac directory, for example is 
/usr/local/share/groff/tmac and the font directory is
/usr/local/share/groff/font.
Just for fun, I renamed /usr/local/share to /usr/local/snare (and tmac 
to umac). Sure enough, when I tried running troff, I got your error 
message. then I defined environment variables like this (under bash):
export GROFF_FONT_PATH=/usr/local/snare/groff/font
export GROFF_TMAC_PATH=/usr/local/snare/groff/umac
That made everything work fine again. Incidently, just the TMAC part 
wasn't enough, so I think your error message means it can't find the 
font dir.

Moral: With the virtunix groff, don't rely on your mounts when you 
define the GROFF environment variables (or for anything else).

A cygnus-based groff would presumably put an end to this nonsense. Does 
anyone have one?

-- David
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".